Bug 34937

Summary: WebGtk GLib-CRITICAL Segmentation fault
Product: WebKit Reporter: Peter Hilbers <peterajhilbers>
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   

Description Peter Hilbers 2010-02-15 04:08:34 PST
I compiled a new version of WebGtk because midori(immediately) and epiphany(shortly after start)  are crashing.
When running the GtkLauncher:

WebKit-r54749$ Programs/GtkLauncher 

(GtkLauncher:10188): GLib-CRITICAL **: g_strsplit: assertion `string != NULL' failed
Segmentation fault

From midori debugging with gdb it turns out that in the WebCore::PluginPackage::fetchInfo (this=0xb680c1c0) line 71
fails. I suspect that mimeDescs[i][0] is causing the segmentation fault.
Comment 1 Xan Lopez 2010-04-08 01:49:07 PDT
What plugins are you using? The fix for this seems trivial but it would be nice to have some kind of test for it.
Comment 2 Xan Lopez 2010-04-09 07:02:15 PDT
I've pushed r57338 fixing this, thanks for the report.
Comment 3 Peter Hilbers 2010-04-10 03:37:57 PDT
(In reply to comment #2)
> I've pushed r57338 fixing this, thanks for the report.

Thanks for your effort!
I will soon test it.